package com.tzld.piaoquan.ad.engine.commons.base;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;


@Data
public class AdRankItem implements Comparable<AdRankItem> {
    public long adId;
    private double score; // 记录最终的score

    // 记录Item侧用到的特征
    private AdItemFeature itemFeature;

    public AdRankItem() {
        //TODO
    }

    private Map<String, Double> rankerScore = new HashMap<>();
    private Map<String, Integer> rankerIndex = new HashMap<>();


    @Override
    public int compareTo(AdRankItem o) {
        if (o == null) {
            return -1;
        }
        if (score > o.score) {
            return -1;
        } else if (score < o.score) {
            return 1;
        } else {
            return 0;
        }
    }


}
