package com.tzld.piaoquan.ad.engine.commons.base;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@NoArgsConstructor
public class UserVideoFeature {

    private String uid;
    // 当天统计量信息
    private AdActionFeature day1_cnt_features;
    // 3天内统计量
    private AdActionFeature day3_cnt_features;
    // 7天内统计量
    private AdActionFeature day7_cnt_features;
    // 3个月统计量
    private AdActionFeature month3_cnt_features;
    // 用户行为周期
    private String user_cycle_bucket_7days;
    private String user_cycle_bucket_30days;
    private String user_share_bucket_30days;

    public void setUid(String key){
        this.uid = key;
        if(key == null)
            this.uid = "0";
    }


    public void setDay1_cnt_features(AdActionFeature key){
        this.day1_cnt_features = key;
        if(key == null)
            this.day1_cnt_features = new AdActionFeature();
    }

    public void setDay3_cnt_features(AdActionFeature key){
        this.day3_cnt_features = key;
        if(key == null)
            this.day3_cnt_features = new AdActionFeature();
    }

    public void setDay7_cnt_features(AdActionFeature key){
        this.day7_cnt_features = key;
        if(key == null)
            this.day7_cnt_features = new AdActionFeature();
    }

    public void setMonth3_cnt_features(AdActionFeature key) {
        this.month3_cnt_features = key;
        if(key == null)
            this.month3_cnt_features = new AdActionFeature();
    }


    public void setUser_cycle_bucket_7days(String key){
        this.user_cycle_bucket_7days = key;
        if(key == null)
            this.user_cycle_bucket_7days = "0";
    }

    public void setUser_cycle_bucket_30days(String key){
        this.user_cycle_bucket_30days = key;
        if(key == null)
            this.user_cycle_bucket_30days = "0";
    }

    public void setUser_share_bucket_30days(String key){
        this.user_share_bucket_30days = key;
        if(key == null)
            this.user_share_bucket_30days = "0";
    }


    public String getKey() {
        return this.uid;
    }

    public String getValue(){
        Gson gson = new GsonBuilder().serializeSpecialFloatingPointValues().create();
        return gson.toJson(this);
    }

}
